Bug 427505 - Satellite sync do not work against hosted
Satellite sync do not work against hosted
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
510
All Linux
urgent Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 05:17 EST by Miroslav Suchý
Modified: 2009-05-21 03:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-04 09:29:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2008-01-04 05:17:54 EST
Description of problem:
I have satellite against rhn.webqa.redhat.com and it do not work.
Syncing from channel dump work.

Version-Release number of selected component (if applicable):
510-32

How reproducible:
always

Steps to Reproduce:
1. register satellite to rhn.webqa
2. run satellite-sync -l
  
Actual results:
# satellite-sync -l --debug 6
11:12:39 Red Hat Network Satellite - live synchronization
11:12:39    url: https://xmlrpc.rhn.webqa.redhat.com
11:12:39    debug/output level: 6
11:12:39    +++ Satellite synchronization tool checking in.
11:12:39    +++ Entitled satellite validated.
11:12:39    db:  rhnsat/<password>@rhnsat
11:12:39 Action list/commandline toggles: ['channels', 'list-channels',
'channel-families']
11:12:39
11:12:39 Retrieving / parsing channel-families data
11:12:40 ERROR: server.dump.channel_families('<the systemid>',): <ProtocolError
for xmlrpc.rhn.webqa.redhat.com /SAT-DUMP: 500 Internal Server Error>
11:12:41 ERROR: server.dump.channel_families('<the systemid>',): <ProtocolError
for xmlrpc.rhn.webqa.redhat.com /SAT-DUMP: 500 Internal Server Error>
11:12:42 ERROR: server.dump.channel_families('<the systemid>',): <ProtocolError
for xmlrpc.rhn.webqa.redhat.com /SAT-DUMP: 500 Internal Server Error>
+++ sending log as an email +++

SYNC ERROR:

(Check logs/email for potentially more detail)

ERROR: server.dump.channel_families('<the systemid>',): <ProtocolError for
xmlrpc.rhn.webqa.redhat.com /SAT-DUMP: 500 Internal Server Error>

Expected results:
list of channel

Additional info:
# tail -n30 /var/log/rhn/rhn_server_satellite.log
2008/01/04 11:12:39 +02:00 Retrieving / parsing channel-families data
2008/01/04 11:12:40 +02:00 ERROR: server.dump.channel_families('<the
systemid>',): <ProtocolError for xmlrpc.rhn.webqa.redhat.com /SAT-DUMP: 500
Internal Server Error>
2008/01/04 11:12:41 +02:00 ERROR: server.dump.channel_families('<the
systemid>',): <ProtocolError for xmlrpc.rhn.webqa.redhat.com /SAT-DUMP: 500
Internal Server Error>
2008/01/04 11:12:42 +02:00 ERROR: server.dump.channel_families('<the
systemid>',): <ProtocolError for xmlrpc.rhn.webqa.redhat.com /SAT-DUMP: 500
Internal Server Error>
2008/01/04 11:12:42 +02:00
SYNC ERROR:

Exception reported from sat4-510.englab.brq.redhat.com
Time: Fri Jan  4 11:12:42 2008
Exception type satellite_tools.syncLib.RhnSyncException

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/satellite-sync", line 136, in main
    return satsync.Runner().main()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 199, in main
    ret = method()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 266, in
_step_channel_families
    self.syncer.processChannelFamilies()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 551, in
processChannelFamilies
    "channel-families")
  File "/usr/share/rhn/satellite_tools/satsync.py", line 432, in _process_simple
    stream = method()
  File "/usr/share/rhn/satellite_tools/xmlWireSource.py", line 189, in
getChannelFamilyXmlStream
    return self._openSocketStream("dump.channel_families", (self.systemid,))
  File "/usr/share/rhn/satellite_tools/xmlWireSource.py", line 158, in
_openSocketStream
    raise RhnSyncException, lastErrorMsg
RhnSyncException: ERROR: server.dump.channel_families('<the systemid>',):
<ProtocolError for xmlrpc.rhn.webqa.redhat.com /SAT-DUMP: 500 Internal Server Error>
Comment 1 Miroslav Suchý 2008-01-04 09:29:24 EST
This was probably temporaly hosted issue. Becouse now it works. I'm closing this.
Comment 2 Brandon Perkins 2008-01-04 18:21:22 EST
/var filled up on scripts of webqa... this was a webqa-only problem, not a
hosted problem.

Note You need to log in before you can comment on or make changes to this bug.